Home Information Classes Download Usage Mail List Requirements Links FAQ Tutorial

# stk::Mandolin Class Reference

STK mandolin instrument model class. More...

`#include <Mandolin.h>`

Inheritance diagram for stk::Mandolin:

List of all members.

## Public Member Functions
| Mandolin (StkFloat lowestFrequency)
| Class constructor, taking the lowest desired playing frequency.
| ~Mandolin (void)
| Class destructor.
void | pluck (StkFloat amplitude)
| Pluck the strings with the given amplitude (0.0 - 1.0) using the current frequency.
void | pluck (StkFloat amplitude, StkFloat position)
| Pluck the strings with the given amplitude (0.0 - 1.0) and position (0.0 - 1.0).
void | noteOn (StkFloat frequency, StkFloat amplitude)
| Start a note with the given frequency and amplitude (0.0 - 1.0).
void | setBodySize (StkFloat size)
| Set the body size (a value of 1.0 produces the "default" size).
void | controlChange (int number, StkFloat value)
| Perform the control change specified by number and value (0.0 - 128.0).
StkFloat | tick (unsigned int channel=0)
| Compute and return one output sample.

## Detailed Description

STK mandolin instrument model class.

This class inherits from PluckTwo and uses "commuted synthesis" techniques to model a mandolin instrument.

This is a digital waveguide model, making its use possibly subject to patents held by Stanford University, Yamaha, and others. Commuted Synthesis, in particular, is covered by patents, granted, pending, and/or applied-for. All are assigned to the Board of Trustees, Stanford University. For information, contact the Office of Technology Licensing, Stanford University.

Control Change Numbers:

- Body Size = 2
- Pluck Position = 4
- String Sustain = 11
- String Detuning = 1
- Microphone Position = 128

by Perry R. Cook and Gary P. Scavone, 1995 - 2010.

The documentation for this class was generated from the following file:

- Mandolin.h

The Synthesis ToolKit in C++ (STK)
©1995-2010 Perry R. Cook and Gary P. Scavone. All Rights Reserved.